#5545 Create Fedora 19 Alpha test composes (TC) and release candidates (RC)
Closed: Fixed None Opened 6 years ago by adamwill.

The dreaded day has arrived:

http://fedorapeople.org/groups/schedule/f-19/f-19-releng-tasks.html

Create First Alpha Test Compose (TC1) Tue 2013-03-19

So, please fire an Alpha TC1 compose. We expect it should be possible to compose netinst, DVD and lives, though lives are likely to be over-size.

Please pull in the following builds, in addition to what's in the f19 repos:

I think that should be all. Thanks!


http://dl.fedoraproject.org/pub/alt/stage/19-Alpha-TC1/

additionally pulled in ifuse-1.1.2-4.fc19 for libimobiledevice soname bump for KDE spin

the 64 bit spin will be up shortly

cat /srv/pungi/19-Alpha-TC1/logs/Fedora.*.repoclosure.log
Added i386 repo from /srv/pungi/19-Alpha-TC1/19-Alpha-TC1/Fedora/i386/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
i386
Num Packages in Repos: 4257
package: 1:rubygem-rails-3.2.12-2.fc19.noarch from i386
unresolved deps:
rubygem(activesupport) = 0:3.2.12
rubygem(activeresource) = 0:3.2.12
rubygem(activerecord) = 0:3.2.12
rubygem(actionpack) = 0:3.2.12
rubygem(actionmailer) = 0:3.2.12
package: enblend-4.1.1-1.fc19.i686 from i386
unresolved deps:
libIlmImf.so.6
package: epiphany-extensions-3.6.0-1.fc19.i686 from i386
unresolved deps:
epiphany(abi) = 0:3.6
package: gvfs-afc-1.15.4-1.fc19.i686 from i386
unresolved deps:
libimobiledevice.so.3
package: ifuse-1.1.2-3.fc19.i686 from i386
unresolved deps:
libimobiledevice.so.3
package: libgpod-0.8.2-8.fc19.i686 from i386
unresolved deps:
libimobiledevice.so.3
package: resteasy-2.3.2-9.fc18.noarch from i386
unresolved deps:
tomcat6-servlet-2.5-api
package: rubygem-railties-3.2.12-3.fc19.noarch from i386
unresolved deps:
rubygem(activesupport) = 0:3.2.12
rubygem(actionpack) = 0:3.2.12
package: upower-0.9.19-2.fc19.i686 from i386
unresolved deps:
libimobiledevice.so.3
Added x86_64 repo from /srv/pungi/19-Alpha-TC1/19-Alpha-TC1/Fedora/x86_64/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
x86_64
Num Packages in Repos: 4249
package: 1:rubygem-rails-3.2.12-2.fc19.noarch from x86_64
unresolved deps:
rubygem(activesupport) = 0:3.2.12
rubygem(activeresource) = 0:3.2.12
rubygem(activerecord) = 0:3.2.12
rubygem(actionpack) = 0:3.2.12
rubygem(actionmailer) = 0:3.2.12
package: enblend-4.1.1-1.fc19.x86_64 from x86_64
unresolved deps:
libIlmImf.so.6()(64bit)
package: epiphany-extensions-3.6.0-1.fc19.x86_64 from x86_64
unresolved deps:
epiphany(abi) = 0:3.6
package: gvfs-afc-1.15.4-1.fc19.x86_64 from x86_64
unresolved deps:
libimobiledevice.so.3()(64bit)
package: ifuse-1.1.2-3.fc19.x86_64 from x86_64
unresolved deps:
libimobiledevice.so.3()(64bit)
package: libgpod-0.8.2-8.fc19.x86_64 from x86_64
unresolved deps:
libimobiledevice.so.3()(64bit)
package: resteasy-2.3.2-9.fc18.noarch from x86_64
unresolved deps:
tomcat6-servlet-2.5-api
package: rubygem-railties-3.2.12-3.fc19.noarch from x86_64
unresolved deps:
rubygem(activesupport) = 0:3.2.12
rubygem(actionpack) = 0:3.2.12
package: upower-0.9.19-2.fc19.x86_64 from x86_64
unresolved deps:
libimobiledevice.so.3()(64bit)

Re-opening for TC2. In addition to what's currently in the repos, please ensure that the following are included:

The goal is to get a DVD that can at least install GNOME and KDE with dependency problems, so we'll test that right away, and if it's not the case, prioritize work on whatever issues prevent it.

http://dl.fedoraproject.org/pub/alt/stage/19-Alpha-TC2/

[ausil@compose-x86-02 ~]$ cat /srv/pungi/19-Alpha-TC2/logs/Fedora.*.repoclosure.log
Added i386 repo from /srv/pungi/19-Alpha-TC2/19-Alpha-TC2/Fedora/i386/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
i386
Num Packages in Repos: 4340
package: epiphany-extensions-3.6.0-1.fc19.i686 from i386
unresolved deps:
epiphany(abi) = 0:3.6
package: resteasy-2.3.2-9.fc18.noarch from i386
unresolved deps:
tomcat6-servlet-2.5-api
Added x86_64 repo from /srv/pungi/19-Alpha-TC2/19-Alpha-TC2/Fedora/x86_64/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
x86_64
Num Packages in Repos: 4334
package: epiphany-extensions-3.6.0-1.fc19.x86_64 from x86_64
unresolved deps:
epiphany(abi) = 0:3.6
package: resteasy-2.3.2-9.fc18.noarch from x86_64
unresolved deps:
tomcat6-servlet-2.5-api

I only see unresolved dependencies for resteasy, not epiphany-extensions.

cat /srv/pungi/19-Alpha-TC3/logs/Fedora.*.repoclosure.log
Added i386 repo from /srv/pungi/19-Alpha-TC3/19-Alpha-TC3/Fedora/i386/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
i386
Num Packages in Repos: 4354
package: libmatecomponentui-1.4.0-3.fc19.i686 from i386
unresolved deps:
libmatecomponent-activation.so.4
libmatecomponent-2.so.0
libmate-2.so.0
package: libmateui-1.4.0-3.fc19.i686 from i386
unresolved deps:
libmatevfs-2.so.0
libmatecomponent-activation.so.4
libmatecomponent-2.so.0
libmate-2.so.0
package: resteasy-2.3.2-9.fc18.noarch from i386
unresolved deps:
tomcat6-servlet-2.5-api
Added x86_64 repo from /srv/pungi/19-Alpha-TC3/19-Alpha-TC3/Fedora/x86_64/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
x86_64
Num Packages in Repos: 4348
package: libmatecomponentui-1.4.0-3.fc19.x86_64 from x86_64
unresolved deps:
libmatecomponent-activation.so.4()(64bit)
libmatecomponent-2.so.0()(64bit)
libmate-2.so.0()(64bit)
package: libmateui-1.4.0-3.fc19.x86_64 from x86_64
unresolved deps:
libmatevfs-2.so.0()(64bit)
libmatecomponent-activation.so.4()(64bit)
libmatecomponent-2.so.0()(64bit)
libmate-2.so.0()(64bit)
package: resteasy-2.3.2-9.fc18.noarch from x86_64
unresolved deps:
tomcat6-servlet-2.5-api

Re-opening for TC4. Was hoping to get [https://bugzilla.redhat.com/show_bug.cgi?id=928287 #928287] fixed, but it looks like that'll be sticking around: there should be an updates.img available for it, though. resteasy will still be a broken dep, but the MATE ones should be cleared up.

Please include:

Thanks!

http://dl.fedoraproject.org/pub/alt/stage/19-Alpha-TC4/

live names have changed due to changes in koji they will change again going forward.

Re-opening for TC5. Please include:

Thanks! Short changelog, but the bug fixed by the anaconda build is significant.

cat /srv/pungi/19-Alpha-TC5/logs/Fedora.*repoclosure.log
Added i386 repo from /srv/pungi/19-Alpha-TC5/19-Alpha-TC5/Fedora/i386/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
i386
Num Packages in Repos: 4358
Added x86_64 repo from /srv/pungi/19-Alpha-TC5/19-Alpha-TC5/Fedora/x86_64/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
x86_64
Num Packages in Repos: 4352

Re-opening for TC6. We have fixes for all currently accepted blockers, but one is known to be bad, so let's call this TC6 and not pull that fix. Please include, along with everything above that is not yet pushed stable:

Dennis is away tomorrow; I'm filing this request in case we can do a TC6 build tonight (Sunday). If that's not possible, we will likely be doing RC1 instead late Monday night or Tuesday; I'll update the ticket if that's the case.

Updating to request RC1 instead of TC6. Full list of packages since TC5 (including those in comment #14):

Blocker

Freeze exception

Thanks!

http://dl.fedoraproject.org/pub/alt/stage/19-Alpha-RC1/

Fedora.i386.repoclosure.log:

{{{
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
i386
Num Packages in Repos: 4358
}}}

Fedora.x86_64.repoclosure.log:

{{{
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
x86_64
Num Packages in Repos: 4352
}}}

​schroedinger-cat-kde-theme-18.91.5-1.fc19 and kde-settings-19-16.fc19 were not picked up for RC1 (part of TC4 request) and it leads to KDE spin regression [https://bugzilla.redhat.com/show_bug.cgi?id=949831 #949831]

Re-opening for RC2. As well as all previously requested packages, please include:

Please ensure [https://admin.fedoraproject.org/updates/FEDORA-2013-4778/schroedinger-cat-kde-theme-18.91.5-1.fc19,kde-settings-19-16.fc19 schroedinger-cat-kde-theme-18.91.5-1.fc19,kde-settings-19-16.fc19] and all other previously requested packages are in the build too: RC1 included an old kde-settings and hence regressed the blocker that is fixed by that update.

http://dl.fedoraproject.org/pub/alt/stage/19-Alpha-RC2/

{{{
Added i386 repo from /srv/pungi/19-AlphaRC2/19-Alpha/Fedora/i386/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
i386
Num Packages in Repos: 4357
}}}

{{{
Added x86_64 repo from /srv/pungi/19-AlphaRC2/19-Alpha/Fedora/x86_64/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
x86_64
Num Packages in Repos: 4351
}}}

Re-opening for another build. We have fixes for two out of three accepted blockers, so we can't strictly speaking call this an RC. We never quite settled the TC-after-RC debate - see https://lists.fedoraproject.org/pipermail/test/2012-April/107120.html - so for now, we've just agreed to make this one 'Alpha TC6', and I really ought to get back to finding a better solution.

Please include, in addition to all other builds above:

Blocker

Freeze exception

Other

Re-opening for RC3!

This build should address all open blockers. Please pull, in addition to everything from TC6:

Blocker

Freeze exception

Thanks very much!

http://dl.fedoraproject.org/pub/alt/stage/19-Alpha-RC3/

}}}
Added i386 repo from /srv/pungi/19-Alpha-RC3/19-Alpha/Fedora/i386/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
i386
Num Packages in Repos: 4358
}}}
{{{
Added x86_64 repo from /srv/pungi/19-Alpha-RC3/19-Alpha/Fedora/x86_64/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
x86_64
Num Packages in Repos: 4352
}}}

Re-opening again for RC4/RC3.1 (whichever) - exactly the same as RC3, but actually use the newer lorax (19.2-1) in the compose. We discovered that RC3 build inadvertently used the older lorax (19.1-1) in the compose. Thanks!

Addendum: let's do an RC4. As well as building with lorax 19.2-1, please pull the new anaconda 19.20:

It should be edited into the anaconda/lorax/python-blivet update (FEDORA-2013-5795) shortly.

There is no iso/ directory in https://dl.fedoraproject.org/pub/alt/stage/19-Alpha-RC4/Fedora/i386/ , so 32-bit install images are missing.

Reopening pending finding out the status of the 32-bit install images.

http://dl.fedoraproject.org/pub/alt/stage/19-Alpha-RC4

32 bit were initially composed with wrong lorax, i fell asleep during recompose and missed that the rsync did nothing, its all fixed and in place now.

Metadata Update from @adamwill:
- Issue set to the milestone: Fedora 19 Alpha

2 years ago

Login to comment on this ticket.

Metadata